package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.CourseCourseware;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CourseCoursewareVo对象", description = "课件表查询视图对象")
public class CourseCoursewareVo extends CourseCourseware{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户名")
	private String username;

	private Long musicSheetAccompanimentId;

	private String url;

	@ApiModelProperty(value = "曲谱名称")
	private String musicSheetName;  //曲谱名称

	@ApiModelProperty("是否有效， 0:失效 1:有效")
	private YesOrNoEnum status;

	@ApiModelProperty(value = "封面图")
	private String titleImg;  //曲谱名称

	@ApiModelProperty(hidden = true)
	private String paymentType;


	@ApiModelProperty("曲目图片 多个逗号隔开")
	private String musicImg;

	@ApiModelProperty("原音地址,多个逗号隔开")
	private String mp3url;


	@ApiModelProperty(value = "曲目是否启用 0：未启用， 1：启用",hidden = true)
	private YesOrNoEnum musicStatus;
}