package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(subject):
 */
@Data
public class Subject implements Serializable {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "声部名称",required = false)
	private String name;
	
	/**  */
	@ApiModelProperty(value = "声部编号",required = false)
	private String code;
	
	/**  */
	@ApiModelProperty(value = "父级编号",required = false)
	private Long parentSubjectId;
	
	private String parentSubjectName;
	
	@ApiModelProperty(value = "图片地址",required = false)
	private String img;

	@ApiModelProperty("声部默认频率")
	private Integer aiDefaultFrequency;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private String desc;

    @ApiModelProperty(value = "cbs声部id")
    private Long cbsSubjectId;

    @ApiModelProperty(value = "cbs声部名称")
    private String cbsSubjectName;

	/**  */
	@ApiModelProperty(value = "是否删除1是，0否",required = false)
	private Boolean delFlag= false;

	/**  */
	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Subject> subjects;

}
